#if !defined(AFX_PROMPTEDIT_H__8F2797E4_7057_11D5_B948_0050DA4AEB33__INCLUDED_)
#define AFX_PROMPTEDIT_H__8F2797E4_7057_11D5_B948_0050DA4AEB33__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// PromptEdit.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPromptEdit window

class CPromptEdit : public CEdit
{
// Construction
public:
	CPromptEdit();

public:
	BOOL bKeyFlag ;
	int text_length, lines_index, lines_per_screen ;
	int limit_text_left, limit_text_right, pos ;
	int GetMaxLines() ;
	
	void  SetPrompt( CString );
	CString prompt_str;
	void UpdateCaretPosition();
	/////////////////////////////////////////////////////////
	CString cmd_line ;
	CString ProcessLastCommandLine();
	CString GetLastCommandLine()		{ return cmd_line ; }
	void Add_Line( CString, BOOL );
	/////////////////////////////////////////////////////////
	int InsertMenuItem( CString );
	void FlyingMenu( CPoint );
	int menu_entries ;
	CString** p_array_str ;
	/////////////////////////////////////////////////////////
	void Menu_Handler( int );
	
	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPromptEdit)
	protected:
	virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CPromptEdit();

	// Generated message map functions
protected:
	//{{AFX_MSG(CPromptEdit)
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PROMPTEDIT_H__8F2797E4_7057_11D5_B948_0050DA4AEB33__INCLUDED_)
